<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/officity/shared/followup/List.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
	include_once(dirname(__FILE__).'/include.php');

	/* *** */
	
	$shell = new Officity_Shell(false);
	
	$shell->addCommand('
		<GET name="element-template">
			<OFFICITY:FOLLOWUP ID="1" />
		</GET>
	');
	$shell->addModuleFields('OFFICITY:FOLLOWUP');

    $element = new Element(URLParam::fetch('module'));
    $module_ID = $element->getModuleID();
    $shell->addParam2XML('moduleID', $module_ID);
		
	$shell->addCommand(
		'<SEARCH name="followups">
			<OFFICITY:FOLLOWUP targetid="'.URLParam::fetch('elementID').'" moduletargetid="'.$module_ID.'" />
			<RETURN>
				<INFO creator_info="small">
					<CREATIONDATE/>
					<TYPE />
					<FILE />
					<BODY/>
				</INFO>
			</RETURN>
			<SORT select="INFO/CREATIONDATE" order="descending" />
		</SEARCH>');

	$shell->addMonths();
	$shell->addList('FollowupTypes');

	echo $shell->transform(dirname(__FILE__).'/List.xsl');
?>